// OBDC Access Class Library (C) 2002 By Fred Houweling
// Please read comments in TODBC.CPP
#ifndef TODBC_H
#define TODBC_H

#include <system.hpp>
#include <windows.hpp>
#include <messages.hpp>
#include <sysutils.hpp>
#include <classes.hpp>
#include <graphics.hpp>
#include <controls.hpp>
#include <forms.hpp>
#include <dialogs.hpp>
#include <stdctrls.hpp>
#include <extctrls.hpp>
#include <wtypes.h>

#include <sql.h>
#include <sqlext.h>
class TSQLDirect {
        private:
                SQLHENV     henv;
                SQLHDBC     hdbc;
                SQLHSTMT    hstmt;
                SQLCHAR     *dsn;
                SQLCHAR     *user;
                SQLCHAR     *passwd;
                SQLRETURN   retcode;
                int timeout;
                int connected;
                int error;
        public:
                __fastcall TSQLDirect(void);
                __fastcall ~TSQLDirect(void);
                int __fastcall ODBCSetDSN(char *DSN);
                int __fastcall ODBCSetUserName(char *USER);
                int __fastcall ODBCSetPassword(char *PASSWORD);

                int __fastcall ODBCConnect(void);
                int __fastcall ODBCDisconnect(void);

                int __fastcall ODBCExecDirect(char *string);
};
#endif